<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_tab_widget.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::core::TabWidget Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#ab0d4a1076571069fa03ed2cf83dab797">AddXmlChild</a>(std::string type)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">Childs</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#a0fc33ff224c830a3cc87917277466313">ClearXmlProps</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a4304e5e47178127354ea0dffff110c34abab58ad7e9819f71b0ef480ae173752c">East</a> enum value</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#adcbc2dbcfa873b214e073ddf34454941">isEnabled</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a4304e5e47178127354ea0dffff110c34adad34152a2a6b2fd606f624083619457">North</a> enum value</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">ObjectName</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">ObjectType</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">Parent</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#aa32e3b844c6de42bbd6e8b480b71f90b">SendXml</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#ada1caf49bfb4d7c7deed40c2fd0ee30b">setEnabled</a>(bool status)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#a12b9673b559c5fab03b83b8c53c56be7">SetXmlProp</a>(std::string prop, std::string value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#a57285110293bb4c4b49d369ae5008ac7">SetXmlProp</a>(std::string prop, xmlChar *value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#af5b9680d64193febda2ce8f3bcaef359">SetXmlProp</a>(std::string prop, double value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#ab4455e21008c653be1dbb17d28b3f90c">SetXmlProp</a>(std::string prop, io_data::DataType_t value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a4304e5e47178127354ea0dffff110c34a826d3aaf70da79bd7f4d9d96f9cacd91">South</a> enum value</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a4304e5e47178127354ea0dffff110c34">TabPosition_t</a> enum name</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a8e00a5f3b6f6666efb26b4cbd85def7a">TabWidget</a>(LayoutItem *parent, std::string name, int row, int col, TabPosition_t TabPosition=TabWidget::West)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">TypeChilds</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a4304e5e47178127354ea0dffff110c34abdd7368bae8016860670373b8ecce600">West</a> enum value</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#aa30cb75a7f8a124b3af428f82a39b4f5">Widget</a>(Widget *parent, std::string name, std::string type)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#a1f86603bd32daaa93995c787bbc339ac">XmlFileNode</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html#a4e0c903c8137436d989e72c1d9e69b71">~TabWidget</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_tab_widget.html">framework::core::TabWidget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html#aae79ffe891a89051f49c06712504c803">~Widget</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Mar 24 2014 21:51:13 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
